#!/usr/bin/env/ruby

require_relative '../lib/studio_game/player'
require_relative '../lib/studio_game/game'
require_relative '../lib/studio_game/clumsy_player'
require_relative '../lib/studio_game/berserk_player'

knuckleheads = StudioGame::Game.new("Knuckleheads")
default_player_file = File.join(File.dirname(__FILE__), 'players.csv')
knuckleheads.load(ARGV.shift || default_player_file)

klutz = StudioGame::ClumsyPlayer.new("klutz", 105)
knuckleheads.add_player(klutz)

berserker = StudioGame::BerserkPlayer.new("berserker", 50)
knuckleheads.add_player(berserker)

loop do
	puts "How many times do you want to play? ('quit' to exit)"
	answer = gets.chomp.downcase
	case answer
	when /^\d+$/
		knuckleheads.play(answer.to_i)
	when 'quit', 'exit'
		knuckleheads.print_stats
		break
	else
		puts "Please enter number or quit"
	end
end

knuckleheads.save